#95776 Report by node kiste covering 2037 tests from 55 modules resulted into 2 errors

Report

ObsPy Version
1.1.0.post0+420.gad46197741...
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
534.3 sec
Report Date/Time
2018-05-22 10:47:29

System / Python

Architecture
64bit
Machine
x86_64
Node
kiste
Processor
x86_64
Python Compiler
GCC 4.8.2 20140120 (Red Hat 4.8.2-15)
Python Implementation
CPython
Python Version
3.6.4
Release
4.13.0-43-generic
System
Linux
Version
#48~16.04.1-Ubuntu SMP Thu May 17 12:56:46 UTC 2018

Dependencies

cartopy
0.16.0
decorator
4.1.2
flake8
---
future
0.16.0
geographiclib
1.48
lxml.etree
4.1.1
m2crypto
---
matplotlib
2.2.2
mock
---
mpl_toolkits.basemap
1.1.0
numpy
1.13.3
pep8-naming
---
pyflakes
1.6.0
pyimgur
---
pyproj
1.9.5.1
requests
2.18.4
scipy
1.0.0
setuptools
38.2.4
shapefile
1.2.12
sqlalchemy
1.1.13

Modules (55)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink - -
obspy.clients.earthworm - -
obspy.clients.fdsn 1 1
obspy.clients.filesystem - -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl - -
obspy.clients.seedlink - -
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 1 2
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 2 2

Tracebacks (2)

Traceback (most recent call last):
File "/home/eule/dev/obspy/obspy/clients/fdsn/tests/test_federator_routing_client.py", line 342, in test_get_stations_integration_test
channel="LHZ", level="network")
File "<decorator-gen-71>", line 2, in get_stations
File "/home/eule/dev/obspy/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/home/eule/dev/obspy/obspy/clients/fdsn/routing/federator_routing_client.py", line 110, in get_stations
return super(FederatorRoutingClient, self).get_stations(**kwargs)
File "<decorator-gen-64>", line 2, in get_stations
File "/home/eule/dev/obspy/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/home/eule/dev/obspy/obspy/clients/fdsn/routing/routing_client.py", line 344, in get_stations
return self.get_stations_bulk([bulk], **kwargs)
File "<decorator-gen-72>", line 2, in get_stations_bulk
File "/home/eule/dev/obspy/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/home/eule/dev/obspy/obspy/clients/fdsn/routing/federator_routing_client.py", line 143, in get_stations_bulk
r = self._download(self._url + "/query", data=bulk_str)
File "/home/eule/dev/obspy/obspy/clients/base.py", line 245, in _download
self._handle_requests_http_error(r)
File "/home/eule/dev/obspy/obspy/clients/fdsn/routing/routing_client.py", line 280, in _handle_requests_http_error
raise_on_error(r.status_code, get_reason_from_response(r))
File "/home/eule/dev/obspy/obspy/clients/fdsn/client.py", line 1710, in raise_on_error
raise FDSNException(msg, server_info)
obspy.clients.fdsn.header.FDSNException: Bad request. If you think your request was valid please contact the developers.
Traceback (most recent call last):
File "/home/eule/anaconda/envs/workhorse/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.io.rg16.__init__
File "/home/eule/dev/obspy/obspy/io/rg16/__init__.py", line 0, in __init__
----------------------------------------------------------------------
File "/home/eule/dev/obspy/obspy/io/rg16/__init__.py", line 66, in obspy.io.rg16.__init__
Failed example:
st = obspy.read(filename)
Exception raised:
Traceback (most recent call last):
File "/home/eule/anaconda/envs/workhorse/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.io.rg16.__init__[4]>", line 1, in <module>
st = obspy.read(filename)
File "<decorator-gen-31>", line 2, in read
File "/home/eule/dev/obspy/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/home/eule/dev/obspy/obspy/core/stream.py", line 235, in read
st.extend(_read(file, format, headonly, **kwargs).traces)
File "<decorator-gen-32>", line 2, in _read
File "/home/eule/dev/obspy/obspy/core/util/decorator.py", line 211, in uncompress_file
result = func(filename, *args, **kwargs)
File "/home/eule/dev/obspy/obspy/core/stream.py", line 277, in _read
headonly=headonly, **kwargs)
File "/home/eule/dev/obspy/obspy/core/util/base.py", line 403, in _read_from_plugin
raise TypeError('Unknown format for file %s' % filename)
TypeError: Unknown format for file /home/eule/dev/obspy/obspy/io/rg16/tests/data/three_chans_six_traces.fcnt
----------------------------------------------------------------------
File "/home/eule/dev/obspy/obspy/io/rg16/__init__.py", line 67, in obspy.io.rg16.__init__
Failed example:
st = obspy.read(filename, format='rg16')
Exception raised:
Traceback (most recent call last):
File "/home/eule/dev/obspy/obspy/core/util/base.py", line 408, in _read_from_plugin
format_ep = eps[format]
KeyError: 'RG16'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/eule/anaconda/envs/workhorse/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.io.rg16.__init__[5]>", line 1, in <module>
st = obspy.read(filename, format='rg16')
File "<decorator-gen-31>", line 2, in read
File "/home/eule/dev/obspy/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/home/eule/dev/obspy/obspy/core/stream.py", line 235, in read
st.extend(_read(file, format, headonly, **kwargs).traces)
File "<decorator-gen-32>", line 2, in _read
File "/home/eule/dev/obspy/obspy/core/util/decorator.py", line 211, in uncompress_file
result = func(filename, *args, **kwargs)
File "/home/eule/dev/obspy/obspy/core/stream.py", line 277, in _read
headonly=headonly, **kwargs)
File "/home/eule/dev/obspy/obspy/core/util/base.py", line 411, in _read_from_plugin
raise TypeError(msg % (format, ', '.join(eps)))
TypeError: Format "RG16" is not supported. Supported types: MSEED, SAC, GSE2, SEISAN, SACXY, GSE1, Q, SH_ASC, SLIST, TSPAIR, Y, PICKLE, SEGY, SU, SEG2, WAV, WIN, CSS, NNSA_KB_CORE, AH, PDAS, KINEMETRICS_EVT, GCF, H5, KNET, REFTEK130
----------------------------------------------------------------------
File "/home/eule/dev/obspy/obspy/io/rg16/__init__.py", line 73, in obspy.io.rg16.__init__
Failed example:
st = obspy.read(filename, merge=True)
Exception raised:
Traceback (most recent call last):
File "/home/eule/anaconda/envs/workhorse/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.io.rg16.__init__[7]>", line 1, in <module>
st = obspy.read(filename, merge=True)
File "<decorator-gen-31>", line 2, in read
File "/home/eule/dev/obspy/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/home/eule/dev/obspy/obspy/core/stream.py", line 235, in read
st.extend(_read(file, format, headonly, **kwargs).traces)
File "<decorator-gen-32>", line 2, in _read
File "/home/eule/dev/obspy/obspy/core/util/decorator.py", line 211, in uncompress_file
result = func(filename, *args, **kwargs)
File "/home/eule/dev/obspy/obspy/core/stream.py", line 277, in _read
headonly=headonly, **kwargs)
File "/home/eule/dev/obspy/obspy/core/util/base.py", line 403, in _read_from_plugin
raise TypeError('Unknown format for file %s' % filename)
TypeError: Unknown format for file /home/eule/dev/obspy/obspy/io/rg16/tests/data/three_chans_six_traces.fcnt
----------------------------------------------------------------------
File "/home/eule/dev/obspy/obspy/io/rg16/__init__.py", line 79, in obspy.io.rg16.__init__
Failed example:
st = obspy.read(filename, contacts_north=True)
Exception raised:
Traceback (most recent call last):
File "/home/eule/anaconda/envs/workhorse/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.io.rg16.__init__[8]>", line 1, in <module>
st = obspy.read(filename, contacts_north=True)
File "<decorator-gen-31>", line 2, in read
File "/home/eule/dev/obspy/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/home/eule/dev/obspy/obspy/core/stream.py", line 235, in read
st.extend(_read(file, format, headonly, **kwargs).traces)
File "<decorator-gen-32>", line 2, in _read
File "/home/eule/dev/obspy/obspy/core/util/decorator.py", line 211, in uncompress_file
result = func(filename, *args, **kwargs)
File "/home/eule/dev/obspy/obspy/core/stream.py", line 277, in _read
headonly=headonly, **kwargs)
File "/home/eule/dev/obspy/obspy/core/util/base.py", line 403, in _read_from_plugin
raise TypeError('Unknown format for file %s' % filename)
TypeError: Unknown format for file /home/eule/dev/obspy/obspy/io/rg16/tests/data/three_chans_six_traces.fcnt

Skipped Tests (21)

Submodule Test Skip Message
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) PyCrypto is not installed
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
22.778s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
10.362s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
10.117s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
10.112s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.832s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.764s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
8.538s test_evalresp (obspy.clients.iris.tests.test_client.ClientTestCase)
8.329s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.300s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.046s test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase)
7.425s test_issue_311 (obspy.clients.arclink.tests.test_client.ClientTestCase)
7.279s __init__ (obspy.clients.fdsn)
6.807s test_iris_example_queries_dataselect (obspy.clients.fdsn.tests.test_client.ClientTestCase)
6.037s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
6.030s test_get_waveform (obspy.clients.arclink.tests.test_client.ClientTestCase)
6.029s test_get_stations (obspy.clients.arclink.tests.test_client.ClientTestCase)
5.823s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
5.613s test_delayed_request (obspy.clients.arclink.tests.test_client.ClientTestCase)
5.603s test_issue_372 (obspy.clients.arclink.tests.test_client.ClientTestCase)
5.295s __init__ (obspy.clients.syngine)

Chuck Norris Fact

Chuck Norris can download emails with his pick-up.